Bug 1660477 - thunderbird-enigmail: HTTP authentication dialog may be triggered
Summary: thunderbird-enigmail: HTTP authentication dialog may be triggered
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1660478 1660479
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 12:38 UTC by Andrej Nemec
Modified: 2019-09-29 15:04 UTC (History)
1 user (show)

Fixed In Version: thunderbird-enigmail 2.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:44:10 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-18 12:38:53 UTC
It was discovered that an HTTP basic authentication dialog could be triggered when using enigmail and Web Key Discovery, an optional OpenPGP feature. Entering a recipient address will issue HTTP request which, in return, may cause an auth dialog to appear. The scenario is that e-mail or other credentials will be entered by the user.

References:

https://seclists.org/oss-sec/2018/q4/204

Upstream issue:

https://sourceforge.net/p/enigmail/bugs/890/

Comment 1 Andrej Nemec 2018-12-18 12:39:02 UTC
Created thunderbird-enigmail tracking bugs for this issue:

Affects: epel-7 [bug 1660479]
Affects: fedora-all [bug 1660478]

Comment 2 Product Security DevOps Team 2019-06-10 10:44:10 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.